servoW = 23.8; //servo width
servoD = 14.5; //servo depth
wires = 5; // wires thickness
servoT = 9; // servo thickness
servoSup = 5; //servo support
tubeD = 4; //carbon tube diameter
clockRadius = 40;
offset = 20; // offset between servo line and clock perimeter (distance between X axis and 6h on Y axis)

nut_diameter = 7.9;
$fn=50;

module nut(nut_diameter, height) {
 
  difference() {
    translate ([0,0,0]) cylinder(r=(nut_diameter+3)/2,h=height, center=true);
	rotate([0,0,0]) cylinder(r=nut_diameter/2, h=12, center=true, $fn=6);
		}
  }

   ;


module supportServo(offset) {
  difference() {
	
	translate([0,0,0]) cube([servoW + 2*servoSup, servoD + wires+ offset + 10, servoT+5], center=true);
	// 2ieme tete
	translate([0,10/2+offset,3]) cube([servoW , servoD + wires , servoT-1], center=true);
    translate([-1.5+offset,-10,0]) rotate([0,90,0]) cylinder(r=tubeD/2, h=200+servoW + 2*servoSup, center=true, $fn=60);
      translate([0,8+offset,-(servoT+5)/2])rotate([30,0,0]) rotate([0,90,0]) cylinder(r=3, h=servoW + 2*servoSup+10, center=true, $fn=6);
  }
  
  
}


module supportClock() {
    
  //socle percé + porte cadran  
  difference() {
    union () {
      //socle
        translate([0,-20,0]) cube([servoW + 2*servoSup, servoD + wires + 10, servoT+5], center=true);
      // porte cadran
        translate([0,-20+(5+servoD + wires)/2,(clockRadius+offset)/2]) cube([servoW/2 , 5 , clockRadius+offset], center=true);
        translate([0,-20+(5+servoD + wires)/2,(clockRadius+offset)]) rotate([90,0,0]) cylinder(r=20/2, h=5, center=true, $fn=60);
        
    }
	// 2ieme tete
    translate([-1.5,-10,0]) rotate([0,90,0]) cylinder(r=tubeD/2, h=200, center=true, $fn=60);
    //trou axe cadran
    translate([0,-20+(5+servoD + wires)/2,(clockRadius+offset)]) rotate([90,0,0]) cylinder(r=3/2, h=25, center=true, $fn=60);
    //pan coupé
    rotate([28,0,0]) translate([0,-20,19]) cube([servoW + 2*servoSup, servoD + wires + 10, servoT+5], center=true);
      // vis
   * translate ([0,-2-20+(5+servoD + wires)/2,(clockRadius+offset)]) rotate([90,0,0])rotate([0,0,0]) cylinder(r=nut_diameter/2, h=3, center=true, $fn=6);
  }
  
  
}

*translate([40,0,0]) supportServo(2.5);
rotate([-90,0,0])supportClock();